Name:           love
Version:        11.5
Release:        %mkrel 2
Summary:        A free 2D game engine which enables easy game creation in Lua
Group:          Development/Other
License:        zlib
Url:            https://love2d.org
Source0:        https://github.com/love2d/love/releases/download/%{version}/%{name}-%{version}-linux-src.tar.gz

BuildRequires:  pkgconfig(physfs)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libgme)
BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(libmpg123)
BuildRequires:  pkgconfig(luajit)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(theora)
BuildRequires:  pkgconfig(vorbisfile)
BuildRequires:  pkgconfig(zlib)

%description
LÖVE is an open source, cross platform 2D game engine which uses the
Lua scripting language. LÖVE can be used to make games of any license
allowing it to be used for both free and non-free projects.

%files
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.svg
%{_iconsdir}/hicolor/scalable/mimetypes/application-x-%{name}-game.svg
%{_libdir}/lib%{name}-%{version}.so
%{_mandir}/man1/%{name}.1*

#----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%configure \
  --bindir=%{_gamesbindir} \
  --with-lua=luajit \
  --enable-gme \
  --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/lib%{name}.so


%changelog
* Tue Apr 29 2025 daviddavid <daviddavid> 11.5-2.mga10
+ Revision: 2179937
- rebuild for new libtheora 1.2.0

* Thu Feb 15 2024 daviddavid <daviddavid> 11.5-1.mga10
+ Revision: 2041523
- new version: 11.5

* Wed May 11 2022 akien <akien> 11.4-1.mga9
+ Revision: 1857579
- Version 11.4

* Fri Apr 01 2022 umeabot <umeabot> 11.3-2.mga9
+ Revision: 1839490
- Mageia 9 Mass Rebuild

* Mon Oct 19 2020 akien <akien> 11.3-1.mga8
+ Revision: 1637063
- Version 11.3

* Sat Feb 15 2020 umeabot <umeabot> 11.2-2.mga8
+ Revision: 1523557
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Mar 06 2019 daviddavid <daviddavid> 11.2-1.mga7
+ Revision: 1371799
- new version: 11.2

* Sun Sep 23 2018 umeabot <umeabot> 11.1-2.mga7
+ Revision: 1299348
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 akien <akien> 11.1-1.mga7
+ Revision: 1234152
- Version 11.1
- Move lib into main package, now uses liblove-%%{version}.so name scheme, so libification unnecessary.

* Fri Feb 16 2018 daviddavid <daviddavid> 0.10.2-2.mga7
+ Revision: 1201708
- add upstream patch to fix build with luajit 2.1

* Tue Nov 01 2016 akien <akien> 0.10.2-1.mga6
+ Revision: 1064669
- Version 0.10.2

* Fri Apr 15 2016 akien <akien> 0.10.1-1.mga6
+ Revision: 1002673
- Version 0.10.1

* Tue Feb 09 2016 umeabot <umeabot> 0.9.2-2.mga6
+ Revision: 952421
- Mageia 6 Mass Rebuild

* Tue Feb 24 2015 akien <akien> 0.9.2-1.mga5
+ Revision: 816807
- Version 0.9.2
- Drop practically empty -devel subpackage

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-4.mga5
+ Revision: 740084
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.1-3.mga5
+ Revision: 682000
- Mageia 5 Mass Rebuild

* Mon Apr 28 2014 akien <akien> 0.9.1-2.mga5
+ Revision: 618741
- Split devel library from main library package
- Enable GME support

* Fri Apr 25 2014 akien <akien> 0.9.1-1.mga5
+ Revision: 618055
- New version 0.9.1

* Fri Mar 21 2014 akien <akien> 0.9.0-2.mga5
+ Revision: 606439
- Main package requires %%libname

* Fri Mar 21 2014 akien <akien> 0.9.0-1.mga5
+ Revision: 606432
- imported package love

